#!/bin/bash
#SBATCH -J alphafold
#SBATCH -N 1
#SBATCH -n 9
#SBATCH --ntasks-per-node=9
#SBATCH --ntasks-per-core=1
#SBATCH --gres=gpu:1 
#SBATCH --mem=60G 

# NE RIEN CHANGER CI-DESSUS
# AJUSTEZ A VOS BESOINS LES TROIS LIGNES SUIVANTES

#SBATCH --time=2:00:00
# SBATCH --mail-user=
# SBATCH --mail-type=ALL

module purge
module load singularity/3.6.4

#######################################################################
#
# NE RIEN A CHANGER A PARTIR DE POINT SI VOUS AVEZ LANCE script_mesca.bash
#
#######################################################################

# On reprend les mêmes valeurs de INPUT et de MES_OPTIONS que celles de script-mesca.bash
eval $(grep -E '^\s*INPUT=' script-mesca.bash)
eval $(grep -E '^\s*MES_OPTIONS=' script-mesca.bash)

# On reprend le même répertoire de sortie que celui de script-mesca.bash
OUTPUT=$(pwd)/${SLURM_JOB_DEPENDENCY#afterok:}
cp $0 $OUTPUT/$(basename $0)-volta

echo "ALPHAFOLD - SECONDE PARTIE (volta)"
echo "=================================="
echo "INPUT       = $INPUT"
echo "OUTPUT      = $OUTPUT"
echo "MES_OPTIONS = $MES_OPTIONS"

export OMP_NUM_THREADS=9

AF_VERSION='2.2.0'
ALPHAFOLD_DATA_PATH="/olympeplus/gsysinst/sysdata/alphafold/"
ALPHAFOLD_TMPDIR="/tmpdir/$(whoami)/alphafoldtmp"
mkdir -p ${ALPHAFOLD_TMPDIR}/etc

# see https://github.com/google/jax/issues/5723 
singularity run \
--env LD_LIBRARY_PATH=/usr/local/cuda/compat:/usr/local/nvidia/lib:/usr/local/nvidia/lib64:/.singularity.d/libs \
--env ALPHAFOLD_TMPDIR=$ALPHAFOLD_TMPDIR \
--env TF_FORCE_UNIFIED_MEMORY=1 \
--env XLA_PYTHON_CLIENT_MEM_FRACTION=4.0 \
-B ${ALPHAFOLD_DATA_PATH}:/data \
-B ${ALPHAFOLD_TMPDIR}/etc:/etc \
--pwd  /app/alphafold \
/usr/local/containers/alphafold-${AF_VERSION}.sif \
--data_dir=/data/${AF_VERSION} \
--output_dir=$OUTPUT \
--fasta_paths=$INPUT \
--uniref90_database_path=/data/${AF_VERSION}/uniref90/uniref90.fasta  \
--mgnify_database_path=/data/${AF_VERSION}/mgnify/mgy_clusters_2018_12.fa   \
--bfd_database_path=/data/${AF_VERSION}/bfd/bfd_metaclust_clu_complete_id30_c90_final_seq.sorted_opt \
--uniclust30_database_path=/data/${AF_VERSION}/uniclust30/uniclust30_2018_08/uniclust30_2018_08 \
--pdb70_database_path=/data/${AF_VERSION}/pdb70/pdb70  \
--template_mmcif_dir=/data/${AF_VERSION}/pdb_mmcif/mmcif_files  \
--obsolete_pdbs_path=/data/${AF_VERSION}/pdb_mmcif/obsolete.dat \
--use_precomputed_msas=1 \
${MES_OPTIONS}

